Bug 1151853 - Could not find device. Stops boot process after multiple errors
Summary: Could not find device. Stops boot process after multiple errors
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ModemManager
Version: 21
Hardware: ppc64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-10-12 16:11 UTC by Al Dunsmuir
Modified: 2015-12-02 16:22 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-02 04:15:28 UTC


Attachments (Terms of Use)

Description Al Dunsmuir 2014-10-12 16:11:50 UTC
Description of problem:


Version-Release number of selected component (if applicable):
I believe ModemManager-1.4.0-1.fc21.ppc64.rpm is the version currently in the
Fedora ppc64 Alpha RC1 Server DVD, and the F21 upgrade tree.

How reproducible: 100%
Every time I try to boot my G5 (updated from F20 to F21 this past week).
Also happens when I try to boot ppc64 Alpha RC1

Steps to Reproduce:
1. Boot Alpha RC1 DVD
2. Wait for kernel to initialize
3. Modemmanager messages are emitted, and system hangs

Actual results:
System hangs.  Unable to continue operation, or installation.

Expected results:
System successful initialization, entry to GDM for logon.

Additional info:
Likely dup of as https://bugzilla.redhat.com/show_bug.cgi?id=1010538, but the fix for that is not in the F21 PCC64 build tree for Alpha RC1.

Messages displayed on boot for both installed system and F21 Alpha RC1 DVD are:
[    0340723] opal_async_init: Opal node not found
[    3.528922] radeon 0000:04:00:0: Invalid ROM contents
[    3.528951] radeon 0000:04:00:0: Invalid ROM contents
[    3.528964] [drm:radeon_get_bios] *ERROR* Unable to locate a BIOS ROM
ModemManager[912]: <warn> Couldn't find support for device at '/sys/devices/pci0001:00/0001:00:01.0/0001:03:0f.0': not supported by any plugin
ModemManager[912]: <warn> Couldn't find support for device at '/sys/devices/pci0001:00/0001:00:02.0/0001:01:01.0': not supported by any plugin
ModemManager[912]: <warn> (ttyPZ1): serial port closing_wait was reset!
ModemManager[912]: <warn> (ttyPZ1): couldn't set serial port closing_wait to none: invalid argument
ModemManager[912]: <warn> (ttyPZ0): serial port closing_wait was reset!
ModemManager[912]: <warn> (ttyPZ0): couldn't set serial port closing_wait to none: invalid argument
ModemManager[912]: <warn> (ttyPZ1): couldn't set serial port closing_wait to none: invalid argument
ModemManager[912]: <warn> (ttyPZ0): couldn't set serial port closing_wait to none: invalid argument

nm-dispatcher: Dispatching action 'up' for enP1p3s15f0
ModemManager[912]: <warn> (ttyPZ1): serial port closing_wait was reset!
ModemManager[912]: <warn> (ttyPZ1): couldn't set serial port closing_wait to none: invalid argument
ModemManager[912]: <warn> (ttyPZ0): serial port closing_wait was reset!
ModemManager[912]: <warn> (ttyPZ0): couldn't set serial port closing_wait to none: invalid argument
ModemManager[912]: <info> Creating modem with plugin 'Gerneric' and '2' ports
ModemManager[912]: <warn> Could not grab port (tty/ttyPZ0): 'Cannot add port 'tty/ttyPZ0,unhandled serial type'
ModemManager[912]: <warn> Could not grab port (tty/ttyPZ1): 'Cannot add port 'tty/ttyPZ0,unhandled serial type'
ModemManager[912]: <warn> Couldn't create modem for device at '/sys/devices/pci0001:00/0001:00:02.0/0001:01:07.0': Failed to find primary AT port

Comment 1 Al Dunsmuir 2014-10-12 16:15:31 UTC
Add to F21 PPC Alpha blocker list

Comment 2 Al Dunsmuir 2014-10-14 17:25:00 UTC
Dan,

I'm a tad confused.  

The primary archs (Intel) have a later build of ModemManager that apparently solves this problem on those platforms.  (See BZ noted under additional info).   

My understanding of why you've moved this from Alpha blocker to the general ppc64 tracking list is that this error is not relevant to ppc64 because of missing dependencies (V8/nodejs), then why is it on the default ppc64 install and started by default?

Peter suggested I remove ModemManager.  I can't do anything for the install boot, but should be able to boot using the mod'd F20 DVD and zap the main file.

Al

Comment 3 Dan Horák 2014-10-14 17:46:52 UTC
(In reply to Al Dunsmuir from comment #2)
> Dan,
> 
> I'm a tad confused.  
> 
> The primary archs (Intel) have a later build of ModemManager that apparently
> solves this problem on those platforms.  (See BZ noted under additional
> info).   

no, primary (x86) also has ModemManager-1.4.0-1.fc21, they shouldn't differ across arches. Is the serial port on Mac managed by a ppc/mac specific module? Maybe there is an option how to ignore these ports in MM.
 
> My understanding of why you've moved this from Alpha blocker to the general
> ppc64 tracking list is that this error is not relevant to ppc64 because of
> missing dependencies (V8/nodejs), then why is it on the default ppc64
> install and started by default?

we won't to block especially Alpha due this problem, G5 is not supported, it's a "best effort" HW, so I have moved this bug under the general PPC tracker and it is not forgotten
 
> Peter suggested I remove ModemManager.  I can't do anything for the install
> boot, but should be able to boot using the mod'd F20 DVD and zap the main
> file.

yes, removing doesn't work for an installation DVD, but does it help in the installed system? If it does, it might be possible to use some workaround during the installation so it won't affect the result

Comment 4 Dan Horák 2014-10-14 17:48:29 UTC
And maybe it's just a matter of adding ttyPZ? into MM code, but I haven't seen MM code yet.

Comment 5 Al Dunsmuir 2014-10-14 18:04:44 UTC
Dan, 

The G5 only has USB ports.  The only way to get a RS-232-style serial port would be to insert a USB-to-serial adapter - perhaps useful in kernel debugging.

Old 32-bit Macs could have optional on-board modem hardware installed, but that's not relevant to ppc64 (or likely to be useful these days).

Al

Comment 6 Al Dunsmuir 2014-10-27 13:50:44 UTC
Dan,

The S390 Rawhide compose started at Mon Oct 27 08:10:03 UTC 2014 had the following update.   

- Initially I thought that it sounded like a good candidate to cherry-pick for
  F21 PPC final (or beta, depending on timing and whether primary arch will
  accept this as a freeze exemption).  

- I just noticed that it is actually a lower version than on F21.  If F21 has 
  a higher NVR, it seems like 1.3.0 and 1.4.0 still have issues with USB modem
  device recognition.

I've updated https://bugzilla.redhat.com/show_bug.cgi?id=1010538 to ask Dan Williams his thoughts on this. 

Thanks,
Al

ModemManager-1.3.0-1.fc22
-------------------------
* Tue Aug 05 2014 Dan Williams <dcbw@redhat.com> - 1.3.0-1
- Update to git development snapshot
- Add IPv6 support for many devices
- Updated blacklist for non-modem USB devices
- Support for more MBIM devices from various manufacturers
- Support for more Huawei devices with network ports
- Add new "unmanaged" GPS location mode
- Many bug fixes for various modems

Comment 7 Al Dunsmuir 2014-11-11 18:48:08 UTC
See https://bugs.freedesktop.org/show_bug.cgi?id=85007 (Modemmanager probes non-modem TTY devices).

I can see plugging a cellular modem into a Fedora system that is intel-based (especially a loptop), but suspect there are very few cases where this package would be relevant to ppc64.   Is it possible to have NetworkManager not include this package  by default on ppc64 (BE/LE) only?

Comment 8 Al Dunsmuir 2014-11-11 18:52:01 UTC
Also see https://bugs.freedesktop.org/show_bug.cgi?id=85007 (probing: better handle devices in the 'pci' subsystem).

Comment 9 Al Dunsmuir 2014-11-11 19:06:16 UTC
The Linux Mint Forum post at http://forums.linuxmint.com/viewtopic.php?f=42&t=101010 (How to disable Modem Manager) is very helpful.  

The service file name is slightly different on Fedora, so you would use:

sudo mv /usr/share/dbus-1/system-services/org.freedesktop.ModemManager1.service /usr/share/dbus-1/system-services/org.freedesktop.ModemManager1.service.disabled

Comment 10 Dan Horák 2014-12-18 07:25:39 UTC
Wouldn't it be possible to disable the USB serial driver by appending rd.driver.blacklist=<foo> on the kernel parameter line? All the hardware drivers seems to be built as modules.

Comment 11 Dan Horák 2014-12-18 09:10:47 UTC
(In reply to Dan Horák from comment #10)
> Wouldn't it be possible to disable the USB serial driver by appending
> rd.driver.blacklist=<foo> on the kernel parameter line? All the hardware
> drivers seems to be built as modules.

or rather rd.driver.blacklist=pmac_zilog - seems I was confused by the USB and forgot the /dev/ttyPZ? ttys are PCI based

Comment 12 Fedora Admin XMLRPC Client 2015-08-18 14:53:43 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora End Of Life 2015-11-04 10:49:49 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-12-02 04:15:35 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.